Subject: RE: [speechsc] uri-list not defined for Lexicon-Search-Order

From: Dan Burnett <[email-masked]>
Date: Tue, 15 Aug 2006 11:46:18 -0700 (PDT)

According to RFC1630, the following characters are
considered "reserved" for special use:

 =  |  ;  |  /  |  #  | ? |  : | space

The < and > are, however, considered "punctuation" and
are neither permitted in URIs nor reserved for special
use.  Thus, we should use < and > as URI boundary
markers.

As for the character(s) used to separate multiple
bounded URIs, I believe it's largely a matter of
personal preference.  In my opinion there are three
advantages to using spaces for this separator:
1) It is slightly more readable than using ';',
2) It is consistent with HTML 4.01, as Jerry points
out, and 
3) It permits us to use ';' later as a character for
adding annotations to each URI if we should decide we
need it, eg., "<http://uri1>;extrastuff <http:uri2>". 
Obviously this could go the other way around, too, but
I find this hierarchy (; tighter binding than space)
easier to read.

The only advantage I see to using ';' as the separator
for the bounded URIs is that the BNF in section 15
already uses it, but since we have to add the < and >
characters anyway, this shouldn't be any more
difficult for implementers to change.

I will use the following BNF unless I hear further
objections:

lexicon-search-order  =    "Lexicon-Search-Order" ":"
                           "<" absoluteURI ">" *[" "
"<" absoluteURI ">"] CRLF

-- dan

--- "Burger, Eric" <[email-masked]> wrote:

> Imap-channel is long dead and forgotten.  Even if it
> is by Dr. Burger,
> it's wrong ;)
> 
> --
> Dr. Eric Burger, Ph.D.
> [Really!]
> 
> -----Original Message-----
> From: Carter, Jerry [mailto:[email-masked]]
> 
> Sent: Thursday, May 11, 2006 10:03 AM
> To: Shanmugham, Saravanan; Dave Burke;
> [email-masked]
> Subject: RE: [speechsc] uri-list not defined for
> Lexicon-Search-Order
> 
> Where?
> 
> The 'uri-list' in HTML 4.01 is space separated. [1]
> Eric Berger's lemonade specification used a space
> separated list. [2]
> 
> [1] http://www.w3.org/TR/html4/struct/objects.html
> [2]
>
http://www3.ietf.org/proceedings/03jul/I-D/draft-ietf-lemonade-imap-chan
> nel-
> 00.txt
> 
> 
> > -----Original Message-----
> > From: Shanmugham, Saravanan
> [mailto:[email-masked]]
> > Sent: Thursday, May 11, 2006 9:42 AM
> > To: Dave Burke; [email-masked]
> > Subject: RE: [speechsc] uri-list not defined for
> Lexicon-Search-Order
> > 
> > I like the angle brackets idea considering it is a
> standard used in a
> > lot of places to mark URI and  or a list of URI.
> > 
> > Thx,
> > Sarvi
> > 
> >      -----Original Message-----
> >      From: Dave Burke
> [mailto:[email-masked]]
> >      Sent: Thursday, May 11, 2006 2:32 AM
> >      To: Shanmugham, Saravanan; [email-masked]
> >      Subject: Re: [speechsc] uri-list not defined
> for
> >      Lexicon-Search-Order
> > 
> >      Problem with the ";" delimiter is that it
> could (and
> >      actually very likely) will be part of the
> URI. For example,
> > 
> >      http://example.com/file1.xml;jsessionid=1
> >      http://example.com/file2.xml;jsessionid=2
> > 
> >      would result in
> > 
> >      Lexicon-Search-Order:
> >     
>
http://example.com/file1.xml;jsessionid=1;http://example.co
> >      m/file2.xml;jsessionid=2
> > 
> >      thus causing parsing problems. Was thinking
> we could do
> >      something like (i.e.
> >      using angle brackets around the URIs):
> > 
> >         lexicon-search-order  =   
> "Lexicon-Search-Order" ":"
> >                                    "<" absoluteURI
> ">" *[";<"
> >      absoluteURI ">" ] CRLF Dave
> > 
> > 
> >      ----- Original Message -----
> >      From: "Shanmugham, Saravanan"
> <[email-masked]>
> >      To: "Dave Burke" <[email-masked]>;
> <[email-masked]>
> >      Sent: Wednesday, May 10, 2006 7:26 PM
> >      Subject: RE: [speechsc] uri-list not defined
> for
> >      Lexicon-Search-Order
> > 
> > 
> >      The ABNF specified under the header
> definition is not upto-date
> and
> >      needs to be fixed.
> >      The normative ABNF in section 15 is defined
> as follows.
> > 
> >         lexicon-search-order  =   
> "Lexicon-Search-Order" ":"
> >                                    absoluteURI
> *[";" absoluteURI] CRLF
> > 
> >      Lets have the header section corrected to
> reflect this
> definition.
> > 
> >      Sarvi
> > 
> >           -----Original Message-----
> >           From: Dave Burke
> [mailto:[email-masked]]
> >           Sent: Monday, May 08, 2006 4:02 AM
> >           To: [email-masked]
> >           Subject: [speechsc] uri-list not defined
> for
> >      Lexicon-Search-Order
> > 
> >           ABNF says we've got uri-list as the
> value of
> >           Lexicon-Search-Order but this is not
> defined (sure we've
> >           got a MIME type text/uri-list but that's
> a different thing).
> > 
> >           Not sure that a comma delimited list
> makes sense here
> >           since a comma is a reserved character
> for URIs
> >           (RFC2396)... unless the URIs are
> enclosed in angle
> brackets...
> > 
> >           Dave
> > 
> > 
> >          
> _______________________________________________
> >           Speechsc mailing list
> >           [email-masked]
> >          
> https://www1.ietf.org/mailman/listinfo/speechsc
> > 
> > 
> > _______________________________________________
> > Speechsc mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/speechsc
> 
> _______________________________________________
> Speechsc mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/speechsc
> 
> _______________________________________________
> Speechsc mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/speechsc
> 

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 

_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc